Retrieve a payment
curl --request GET \
--url https://api.talescria.com/v1/transfers/{transferId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/transfers/{transferId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/transfers/{transferId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transfer": {
"id": "<string>",
"fromAccountId": "<string>",
"destinationId": "<string>",
"minorUnits": "<string>",
"currency": "<string>",
"status": "pending",
"createdAt": 123,
"updatedAt": 123,
"recipientId": "<string>",
"narration": "<string>",
"reason": "<string>",
"failureReason": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Payments
Retrieve a payment
A payment as it stands. Poll this while status is pending or processing.
recipientId is not returned on reads.
Requires the payments:read scope.
GET
/
v1
/
transfers
/
{transferId}
Retrieve a payment
curl --request GET \
--url https://api.talescria.com/v1/transfers/{transferId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/transfers/{transferId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/transfers/{transferId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transfer": {
"id": "<string>",
"fromAccountId": "<string>",
"destinationId": "<string>",
"minorUnits": "<string>",
"currency": "<string>",
"status": "pending",
"createdAt": 123,
"updatedAt": 123,
"recipientId": "<string>",
"narration": "<string>",
"reason": "<string>",
"failureReason": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}